%El vector solucin definido en la funcin flujopot era:
%z=[p1 q1 u2 d2 u3 d3 q4 d4 u5 d5 u6 d6]
%Solucin semilla
z=[1 1 1 0 1 0 1 0 1 0 1 0];
%Solucin del sistema de ecuaciones de la funcin flujopot
x=fsolve(@flujopot6n,z)
%Ordenacin de datos y soluciones
u1=1;%Debe aparecer aqu porque es distinta u1 que en la funcin flujopot
d1=0;%Idem
p1=x(1);
q1=x(2);
u2=x(3);
d2=x(4);
p2=-0.19;
q2=-0.075;
u3=x(5);
d3=x(6);
p3=-1.7;
q3=-0.59;
u4=0.95;
q4=x(7);
d4=x(8);
p4=-0.15;
u5=x(9);
d5=x(10);
p5=-0.98;
q5=-0.32;
u6=x(11);
d6=x(12);
p6=0;
q6=0;
%Expresin en complejos
U1=u1*cos(d1)+j*u1*sin(d1)
S1=p1+j*q1
U2=u2*cos(d2)+j*u2*sin(d2)
S2=p2+j*q2
U3=u3*cos(d3)+j*u3*sin(d3)
S3=p3+j*q3
U4=u4*cos(d4)+j*u4*sin(d4)
S4=p4+j*q4
U5=u5*cos(d5)+j*u5*sin(d5)
S5=p5+j*q5
U6=u6*cos(d6)+j*u6*sin(d6)
S6=p6+j*q6
%Clculo del flujo de potencia en la lnea 12
Z12=2.5216e-3+j*0.02171+j*0.01917;%en pu (dato del problema)
y12=1/Z12;%no es igual que el elemento 12 de la matriz Ybus
I12=y12*(U1-U2)%Corriente de 1 a 2
I21=y12*(U2-U1)
S12=U1*conj(I12)%flujo de potencia en la lnea 12
S21=U2*conj(I21)
SL12=S12+S21%prdidas en la lnea 12
%Clculo del flujo de potencia en la lnea 23
Z23=3.3393e-3+j*0.02875;%dato del problema
y23=1/Z23;
I23=y23*(U2-U3)%corriente de 2 a 3
I32=y23*(U3-U2)
S23=U2*conj(I23)%flujo de potencia en la lnea 23
S32=U3*conj(I32)
SL23=S23+S32%prdidas en la lnea 23
%Clculo del flujo de potencia en la lnea 34
Z34=0.1235+j*0.396+j*0.03233;
y34=1/Z34;
I34=y34*(U3-U4)%Corriente de 3 a 4
I43=y34*(U4-U3)
S34=U3*conj(I34)%flujo de potencia en la lnea 34
S43=U4*conj(I43)
SL34=S34+S43%prdidas en la lnea 34
%Clculo del flujo de potencia en la lnea 16 (transformador T1)
Z16=j*0.01917;
y16=1/Z16;
I16=y16*(U1-U6);
I61=y16*(U6-U1);
S16=U1*conj(I16)
S61=U6*conj(I61)
%Clculo del flujo de potencia en la lnea 56
Z56=8.9955e-3+j*0.07746;
y60=j*0.1267;
y56=1/Z56;
I56=y56*(U5-U6)+y60*U5
I65=y56*(U6-U5)+y60*U6
S56=U5*conj(I56)
S65=U6*conj(I65)
%Interpretacin de los resultados de flujo
%Los flujos presentados son S12, S23 y S13
%Se define positivo en la direccin 12 (23 y 13)
%Es decir, si sale positivo en la parte real e imaginaria, el flujo de
%activa y reactiva va de 1 a 2 (o de 2 a 3; o de 1 a 3)
%Si sale positivo en la parte real y negativo en la parte imaginaria, el
%flujo de activa va de 1 a 2, pero el de reactiva de 2 a 1.